Package org.eclipse.emf.cdo.view

# Interface CDOFetchRuleManager

public interface CDOFetchRuleManager
Collects and updates `fetch rules` for `revisions`, usually based on `feature analyzer` statistics.

Since:
  2.0
Author:
  Simon McDuff
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`CDOCollectionLoadingPolicy`
`getCollectionLoadingPolicy()`
`CDOID`
`getContext()`
`List<CDOFetchRule>`
`getFetchRules(Collection<CDOID> ids)`

## Method Details

### getContext

CDOID getContext()

### getFetchRules

List<CDOFetchRule> getFetchRules(Collection<CDOID> ids)

### getCollectionLoadingPolicy

CDOCollectionLoadingPolicy getCollectionLoadingPolicy()